import axios from '@/utils/axios'

export default {
   /**
   * 用户信息
   */
    getUserInfo() {
      return axios.get('/permission/api/admin/userinfo')
    },
  /**
   * 修改密码
   */
    ChangePassword(params) {
      return axios({
        url: '/permission/api/admin/changePassword',
        method: 'post',
        params: params
      })
    },
  /**
   * 重置密码
   */
   ResetPassword(params) {
        return axios({
          url: '/permission/api/admin/resetPassword',
          method: 'post',
          params: params
        })
      },
  /**
   * 获取验证码
   */
   getVerifyCode() {
    return axios.get('/permission/api/admin/verifyCode')
  },
    /**
   * 获取用户权限
   */
     getPermissionList() {
      return axios.get('/permission/api/admin/getPermissionList')
    },
 /**
   * 用户登录
   */
  adminLogin(data) {
    return axios.post('/permission/api/admin/login', data)
  },
   /**
   * 退出登录
   */
    adminLogout() {
      return axios.post('/permission/api/admin/logout')
    },
    
  /**
   * 查询租户
   */
   getTenantList(params) {
    return axios.get('/permission/api/tenant/queryPageList', { params })
  },
    /**
   * 编辑租户
   */
  editTenant(data) {
    return axios.post('/permission/api/tenant/update', data)
  },
  /**
   * 新增租户
   */
  addTenant(data) {
    return axios.post('/permission/api/tenant/add', data)
  },
  /**
   * 删除租户
   */
  deleteTenant(params) {
    return axios({
      url: '/permission/api/tenant/delete',
      method: 'post',
      params: params
    })
  },

  /**
   * 查询应用
   */
  getApplyList(params) {
    return axios.get('/permission/api/application/queryPageList', { params })
  },
   /**
   * 通过应用ID查询关联租户
   */
    getAllTenantByApplicationId(params) {
      return axios.get('/permission/api/application/getAllTenantByApplicationId', { params })
    },
    /**
   * 编辑应用
   */
  editApply(data) {
    return axios.post('/permission/api/application/update', data)
  },
  /**
   * 新增应用
   */
  addApply(data) {
    return axios.post('/permission/api/application/add', data)
  },
  /**
   * 删除应用
   */
  deleteApply(params) {
    return axios({
      url: '/permission/api/application/delete',
      method: 'post',
      params: params
    })
  },

  /**
   * 查询功能
   */
  getFunctionList(params) {
    return axios.get('/permission/api/function/queryPageList', { params })
  },
  /**
   * 编辑功能
   */
  editFunction(data) {
    return axios.post('/permission/api/function/update', data)
  },
  /**
   * 新增功能
   */
  addFunction(data) {
    return axios.post('/permission/api/function/add', data)
  },
  /**
   * 删除功能
   */
  deleteFunction(params) {
    return axios({
      url: '/permission/api/function/delete',
      method: 'post',
      params: params
    })
  },

   /**
   * 查询部门
   */
    getDepartmentList(params) {
      return axios.get('/permission/api/department/queryPageList', { params })
    },
    /**
     * 编辑部门
     */
    editDepartment(data) {
      return axios.post('/permission/api/department/update', data)
    },
    /**
     * 新增部门
     */
    addDepartment(data) {
      return axios.post('/permission/api/department/add', data)
    },
    /**
     * 删除部门
     */
    deleteDepartment(params) {
      return axios({
        url: '/permission/api/department/delete',
        method: 'post',
        params: params
      })
    },

    /**
   * 查询职位
   */
     getPositionList(params) {
      return axios.get('/permission/api/position/queryPageList', { params })
    },
    /**
     * 编辑职位
     */
    editPosition(data) {
      return axios.post('/permission/api/position/update', data)
    },
    /**
     * 新增职位
     */
    addPosition(data) {
      return axios.post('/permission/api/position/add', data)
    },
    /**
     * 删除职位
     */
    deletePosition(params) {
      return axios({
        url: '/permission/api/position/delete',
        method: 'post',
        params: params
      })
    },

  /**
   * 查询人员
   */
    getPersonnelList(params) {
      return axios.get('/permission/api/personnel/queryPageList', { params })
    },
    /**
      * 编辑人员
      */
    editPersonnel(data) {
      return axios.post('/permission/api/personnel/update', data)
    },
    /**
      * 新增人员
      */
    addPersonnel(data) {
      return axios.post('/permission/api/personnel/add', data)
    },
    /**
      * 删除人员
      */
    deletePersonnel(params) {
      return axios({
        url: '/permission/api/personnel/delete',
        method: 'post',
        params: params
      })
    },

      /**
   * 查询角色
   */
    getRoleList(params) {
      return axios.get('/permission/api/role/queryPageList', { params })
    },
    /**
      * 编辑角色
      */
    editRole(data) {
      return axios.post('/permission/api/role/update', data)
    },
    /**
      * 新增角色
      */
    addRole(data) {
      return axios.post('/permission/api/role/add', data)
    },
    /**
      * 删除角色
      */
    deleteRole(params) {
      return axios({
        url: '/permission/api/role/delete',
        method: 'post',
        params: params
      })
    },
    /**
   * 获取功能数据列表
   */
       getDataList(params) {
        return axios.post('/permission/api/data/getDataByFunctionIds',  params )
      },
    /**
     * 
   * 查询用户组
   */
    getGroupList(params) {
      return axios.get('/permission/api/userGroup/queryPageList', { params })
    },
    /**
    * 编辑用户组
    */
    editGroup(data) {
      return axios.post('/permission/api/userGroup/update', data)
    },
    /**
    * 新增用户组
    */
    addGroup(data) {
      return axios.post('/permission/api/userGroup/add', data)
    },
    /**
    * 删除用户组
    */
    deleteGroup(params) {
      return axios({
        url: '/permission/api/userGroup/delete',
        method: 'post',
        params: params
      })
  },

  /**
     * 
   * 查询数据权限
  */
    getDataList(params) {
      return axios.get('/permission/api/data/queryList', { params })
    },
  /**
    * 编辑数据权限
  */
    editData(data) {
      return axios.post('/permission/api/data/update', data)
    },
  /**
    * 新增数据权限
  */
    addData(data) {
      return axios.post('/permission/api/data/add', data)
    },
  /**
    * 删除数据权限
  */
    deleteData(params) {
      return axios({
        url: '/permission/api/data/delete',
        method: 'post',
        params: params
      })
  },
    /**
    * 获取租户类型
    */
  getDict(params) {
    return axios.get('/permission/api/dict/getDict', { params })
  }
}